#pulling from github
FROM alpine/git:v2.30.1 AS code
ARG BUILD_ID
ARG GITEA_USER
ARG GITEA_PASS
RUN echo $BUILD_ID
LABEL stage=builder
LABEL build_id=$BUILD_ID
RUN mkdir repo
WORKDIR /repo
RUN git clone http://risadmin_prod:adminprod1234@157.66.191.31:3000/risadmin_prod/testrel01.git

#************* Stage 2 - Maven Build **************
#FROM cirrusci/flutter:stable AS builder
#FROM zekfad/flutter-builder:latest  AS builder
#FROM ghcr.io/cirruslabs/flutter:3.6.0 AS builder
FROM ghcr.io/cirruslabs/flutter:latest AS builder
LABEL stage=builder
LABEL build=$BUILD_ID
WORKDIR /app/testrel01
#COPY --from=code /repo/testrel01/testrel01-demot1-f/authsec_flutter_new/base_project/ /workspace/app/
#COPY --from=code /repo/testrel01/ /workspace/app/
COPY --from=code /repo/testrel01/ /app/testrel01
RUN rm -rf android
WORKDIR testrel01-demot1-f/authsec_flutter_new/base_project
RUN pwd
#RUN flutter create -a kotlin -i swift .
RUN flutter pub get
RUN ./remove_unused.sh
RUN flutter clean
RUN flutter pub get
#RUN flutter build apk --split-per-abi
RUN flutter build apk --target-platform android-arm64
#RUN flutter build apk --release
#******** Stage 3 - Git Push*********
#FROM java:8-jdk-alpine
FROM alpine/git:v2.30.1 AS push
RUN mkdir app
WORKDIR /app

RUN git config --global user.email ganeshk@dekatc.com
RUN  git config --global user.name risadmin_prod
RUN git init
RUN  git pull http://risadmin_prod:adminprod1234@157.66.191.31:3000/risadmin_prod/testrel01.git
RUN  git checkout -b main
#COPY --from=builder /app/testrel01/build/app/outputs/flutter-apk/app-release.apk /app
COPY --from=builder /app/testrel01/testrel01-demot1-f/authsec_flutter_new/base_project/build/app/outputs/flutter-apk/ /app
RUN  git add .
#RUN  git checkout -b main
RUN  git commit -m "Apk file commit"
RUN git remote add origin http://157.66.191.31:3000/risadmin_prod/testrel01.git
RUN  git push http://risadmin_prod:adminprod1234@157.66.191.31:3000/risadmin_prod/testrel01.git
CMD ["flutter", "run", "--release"]
